Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCallPickupAlertParameters Class Reference

The Enhance or Call Pickup alert details. More...

`#import <CSCallPickupAlertParameters.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithCallingName:callingNumber:calledName:calledNumber:ringPattern:ringType:pickupRingerOn:enhancedPickupAlertOn:
| Constructs a CSCallPickupAlertParameters object from the specified parameters. More...

## Properties
NSString * | callingName
| The person's name who has initiated the call. More...
NSString * | callingNumber
| The person's number who has initiated the call. More...
NSString * | calledName
| The person's name to whom the call is requested. More...
NSString * | calledNumber
| The person's number to whom the call is requested. More...
CSRingPattern | ringPattern
| The ring pattern if configured. More...
CSRingType | ringType
| The ring type based on which the application shall play different audio files. More...
BOOL | pickupRingerOn
| Returns true if the pickup ringer status is ON else returns false. More...
BOOL | enhancedPickupAlertOn
| Returns true if the enhance pickup status is ON else returns false. More...

## Detailed Description

The Enhance or Call Pickup alert details.

## Method Documentation

- (instancetype) initWithCallingName: |  | (NSString *) | callingName
callingNumber: |  | (NSString *) | callingNumber
calledName: |  | (NSString *) | calledName
calledNumber: |  | (NSString *) | calledNumber
ringPattern: |  | (CSRingPattern) | ringPattern
ringType: |  | (CSRingType) | ringType
pickupRingerOn: |  | (BOOL) | pickupRingerOn
enhancedPickupAlertOn: |  | (BOOL) | enhancedPickupAlertOn

Constructs a CSCallPickupAlertParameters object from the specified parameters.

Parameters

  callingName | The caller name.
  callingNumber | The caller number.
  calledName | The callee name.
  calledNumber | The callee number.
  ringPattern | The ring pattern.
  ringType | The ring type.
  pickupRingerOn | YES for the pickup ringer ON otherwise NO.
  enhancedPickupAlertOn | YES for the enhance pickup alert ON otherwise NO.

## Property Documentation

- (NSString*) calledName
| read nonatomic assign

The person's name to whom the call is requested.

- (NSString*) calledNumber
| read nonatomic assign

The person's number to whom the call is requested.

- (NSString*) callingName
| read nonatomic assign

The person's name who has initiated the call.

- (NSString*) callingNumber
| read nonatomic assign

The person's number who has initiated the call.

- (BOOL) enhancedPickupAlertOn
| read nonatomic assign

Returns true if the enhance pickup status is ON else returns false.

- (BOOL) pickupRingerOn
| read nonatomic assign

Returns true if the pickup ringer status is ON else returns false.

- (CSRingPattern) ringPattern
| read nonatomic assign

The ring pattern if configured.

- (CSRingType) ringType
| read nonatomic assign

The ring type based on which the application shall play different audio files.

The documentation for this class was generated from the following file:

- CSCallPickupAlertParameters.h